from vcScript import *

comp = getComponent()
grasping_node = getNode()
container = grasping_node.getBehaviour(grasping_node.Name + " Container__HIDE__")


def OnSignal(signal):
    if signal.Value:
        if container.Components:
            print comp.Name, "Deleting grasped parts."
            while container.Components:
                container.Components[0].delete()
        else:
            print comp.Name, "No parts to delete."

def OnFinalize():
    this_script = grasping_node.findBehaviour(grasping_node.Name + " PartDeletionScript")
    if this_script is None:
        return
    deletion_signal = grasping_node.getBehaviour(grasping_node.Name + " DeleteContainedParts")
    if deletion_signal is None:
        deletion_signal = grasping_node.createBehaviour(VC_BOOLEANSIGNAL, grasping_node.Name + " DeleteContainedParts")
    deletion_signal.Connections = [this_script]

OnFinalize()

